### Hierarchy

- unknown
  - PreliminaryGetDataRequest

## Index

### Constructors

- constructor

### Methods

- addExcludedKeys
- addSupportedCapabilities
- clearExcludedKeysList
- clearSupportedCapabilitiesList
- getExcludedKeysList
- getNonce
- getSupportedCapabilitiesList
- getVersion
- serializeBinary
- setExcludedKeysList
- setNonce
- setSupportedCapabilitiesList
- setVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PreliminaryGetDataRequest(): PreliminaryGetDataRequest

- Inherited from jspb.Message.constructor

  #### Returns PreliminaryGetDataRequest

## Methods

### addExcludedKeys

- addExcludedKeys(value: string | Uint8Array, index?: number): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:378

  #### Parameters

  - ##### value: string | Uint8Array

  - ##### Optional index: number

  #### Returns PreliminaryGetDataRequest

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:383

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns PreliminaryGetDataRequest

### clearExcludedKeysList

- clearExcludedKeysList(): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:377

  #### Returns PreliminaryGetDataRequest

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:382

  #### Returns PreliminaryGetDataRequest

### getExcludedKeysList

- getExcludedKeysList(): (string | Uint8Array)[]

- - Defined in src/protobuf/pb_pb.d.ts:375

  #### Returns (string | Uint8Array)[]

### getNonce

- getNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:372

  #### Returns number

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:380

  #### Returns number[]

### getVersion

- getVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:385

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:388

  #### Returns Uint8Array

### setExcludedKeysList

- setExcludedKeysList(value: (string | Uint8Array)[]): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:376

  #### Parameters

  - ##### value: (string | Uint8Array)[]

  #### Returns PreliminaryGetDataRequest

### setNonce

- setNonce(value: number): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:373

  #### Parameters

  - ##### value: number

  #### Returns PreliminaryGetDataRequest

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:381

  #### Parameters

  - ##### value: number[]

  #### Returns PreliminaryGetDataRequest

### setVersion

- setVersion(value: string): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:386

  #### Parameters

  - ##### value: string

  #### Returns PreliminaryGetDataRequest

### toObject

- toObject(includeInstance?: boolean): PreliminaryGetDataRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:389

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PreliminaryGetDataRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:392

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PreliminaryGetDataRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PreliminaryGetDataRequest, reader: BinaryReader): PreliminaryGetDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:393

  #### Parameters

  - ##### message: PreliminaryGetDataRequest

  - ##### reader: BinaryReader

  #### Returns PreliminaryGetDataRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PreliminaryGetDataRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:391

  #### Parameters

  - ##### message: PreliminaryGetDataRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PreliminaryGetDataRequest ): PreliminaryGetDataRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:390

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PreliminaryGetDataRequest

  #### Returns PreliminaryGetDataRequest . AsObject

Generated using TypeDoc